<?php
/**
 * BB Wedding Bliss : Block Patterns
 *
 * @package  BB Wedding Bliss 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'bb-wedding-bliss',
		array( 'label' => __( ' BB Wedding Bliss ', 'bb-wedding-bliss' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'bb-wedding-bliss/banner-section',
		array(
			'title'      => __( 'Banner Section', 'bb-wedding-bliss' ),
			'categories' => array( 'bb-wedding-bliss' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":218,\"dimRatio\":50,\"minHeight\":600,\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section position-relative \"} -->\n<div class=\"wp-block-cover alignfull is-light banner-section position-relative\" style=\"min-height:600px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-218\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"banner-section-content\"} -->\n<div class=\"wp-block-group banner-section-content\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"color\":{\"text\":\"#b79338\"},\"typography\":{\"fontSize\":\"45px\",\"fontStyle\":\"normal\",\"fontWeight\":\"500\"}}} -->\n<h1 class=\"has-text-align-center has-text-color\" style=\"color:#b79338;font-size:45px;font-style:normal;font-weight:500\">MICCHEL &amp; JOHN</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\">16.03.2017</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\">Monday, 8 am</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'bb-wedding-bliss/events-section',
		array(
			'title'      => __( 'Events Section', 'bb-wedding-bliss' ),
			'categories' => array( 'bb-wedding-bliss' ),
			'content'    => "<!-- wp:columns {\"verticalAlignment\":\"top\",\"align\":\"full\",\"className\":\"service-section mt-5 mx-md-1\"} -->\n<div class=\"wp-block-columns alignfull are-vertically-aligned-top service-section mt-5 mx-md-1\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"40%\",\"className\":\"love-story\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top love-story\" style=\"flex-basis:40%\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":219,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/love-story.png\" alt=\"\" class=\"wp-image-219\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"p-3\"} -->\n<div class=\"wp-block-column p-3\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"color\":{\"text\":\"#151c27\"}}} -->\n<h2 class=\"has-text-align-center has-text-color\" style=\"color:#151c27;font-size:30px;font-style:normal;font-weight:400\">LOVE STORY</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":121,\"width\":141,\"height\":2,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mt-0 service-border\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized mt-0 service-border\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/border.png\" alt=\"\" class=\"wp-image-121\" width=\"141\" height=\"2\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#666666\"}},\"className\":\"mb-md-0\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center mb-md-0 has-text-color has-small-font-size\" style=\"color:#666666\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#666666\"}},\"className\":\"mb-md-0\",\"fontSize\":\"small\"} -->\n<p class=\"has-text-align-center mb-md-0 has-text-color has-small-font-size\" style=\"color:#666666\">lorem ipsum dolor sit. </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"60%\",\"className\":\"event-section mx-2\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top event-section mx-2\" style=\"flex-basis:60%\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"35px\",\"fontStyle\":\"normal\",\"fontWeight\":\"400\"},\"color\":{\"text\":\"#151c27\"}}} -->\n<h2 class=\"has-text-align-center has-text-color\" style=\"color:#151c27;font-size:35px;font-style:normal;font-weight:400\">MORE EVENTS</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":131,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"service-border mt-0\"} -->\n<figure class=\"wp-block-image aligncenter size-full service-border mt-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/border.png\" alt=\"\" class=\"wp-image-131\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#666666\"}}} -->\n<p class=\"has-text-align-center has-text-color\" style=\"color:#666666;font-size:15px\">We Provide it won't be a borring wedding</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"event-box\"} -->\n<div class=\"wp-block-column event-box\"><!-- wp:image {\"id\":223,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image1.png\" alt=\"\" class=\"wp-image-223\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"style\":{\"color\":{\"text\":\"#666666\"},\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"500\"}},\"fontSize\":\"medium\"} -->\n<h4 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#666666;font-style:italic;font-weight:500\">Flower Shower</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"event-box\"} -->\n<div class=\"wp-block-column event-box\"><!-- wp:image {\"id\":224,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image2.png\" alt=\"\" class=\"wp-image-224\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"style\":{\"color\":{\"text\":\"#666666\"},\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"400\"}},\"fontSize\":\"medium\"} -->\n<h4 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#666666;font-style:italic;font-weight:400\">Wedding Lunch</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"event-box\"} -->\n<div class=\"wp-block-column event-box\"><!-- wp:image {\"id\":225,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image3.png\" alt=\"\" class=\"wp-image-225\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"style\":{\"color\":{\"text\":\"#666666\"},\"typography\":{\"fontStyle\":\"italic\",\"fontWeight\":\"400\"}},\"fontSize\":\"medium\"} -->\n<h4 class=\"has-text-align-center has-text-color has-medium-font-size\" style=\"color:#666666;font-style:italic;font-weight:400\">Wedding Dance</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}